# DataExchange
TKIGES
IGESDimen

# IGESDimen_PointDimension Class Reference

defines IGES Point Dimension, Type <220> Form <0>,
in package IGESDimen
A Point Dimension Entity consists of a leader, text, and
an optional circle or hexagon enclosing the text
IGES specs for this entity mention SimpleClosedPlanarCurve
Entity(106/63)which is not listed in LIST.Text In the sequel
we have ignored this & considered only the other two entity
for representing the hexagon or circle enclosing the text.

`#include <IGESDimen_PointDimension.hxx>`

Inheritance diagram for IGESDimen_PointDimension:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_PointDimension ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESDimen_LeaderArrow)&anArrow, const Handle(IGESData_IGESEntity)&aGeom)
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
Standard_EXPORT Handle_IGESDimen_LeaderArrow | LeaderArrow () const
Standard_EXPORT Standard_Integer | GeomCase () const
| returns the type of geometric entity. 0 if no hexagon or circle encloses the text 1 if CircularArc 2 if CompositeCurve 3 otherwise
Standard_EXPORT Handle_IGESData_IGESEntity | Geom () const
| returns the Geometry Entity, Null handle if GeomCase(me) .eq. 0
Standard_EXPORT Handle_IGESGeom_CircularArc | CircularArc () const
| returns Null handle if GeomCase(me) .ne. 1
Standard_EXPORT Handle_IGESGeom_CompositeCurve | CompositeCurve () const
| returns Null handle if GeomCase(me) .ne. 2
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESDimen_GeneralNote | theNote
Handle_IGESDimen_LeaderArrow | theLeader
Handle_IGESData_IGESEntity | theGeom

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_PointDimension::IGESDimen_PointDimension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESGeom_CircularArc IGESDimen_PointDimension::CircularArc | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_CompositeCurve IGESDimen_PointDimension::CompositeCurve | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_PointDimension::Geom | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_PointDimension::GeomCase | ( |  | ) | const

Standard_EXPORT const IGESDimen_PointDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_PointDimension::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESDimen_LeaderArrow)& | anArrow,
|  | const Handle(IGESData_IGESEntity)& | aGeom
| ) |

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_PointDimension::LeaderArrow | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_PointDimension::Note | ( |  | ) | const

## Field Documentation

Handle_IGESData_IGESEntity IGESDimen_PointDimension::theGeom `[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_PointDimension::theLeader `[private]`

Handle_IGESDimen_GeneralNote IGESDimen_PointDimension::theNote `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_PointDimension.hxx